﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.ViewModel;

namespace TestCVP {
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window {
        public MainWindow() {
            InitializeComponent();
            //List<Data> dataList = new List<Data>();

            Data dt = new Data("TestDesc1", "1Text", "TEXT", "2", "FLOAT");
            DataList.Add(dt);

            dt = new Data("TestDesc2", "3", "FLOAT", "4Text", "TEXT");
            DataList.Add(dt);

            dt = new Data("TestDesc3", "5Text", "TEXT", "6", "FLOAT");
            DataList.Add(dt);

            dt = new Data("TestDesc4", "7", "FLOAT", "8Text", "TEXT");
            DataList.Add(dt);

            dg.DataSource = DataList;
            

        }


        private ObservableCollection<Data> _dataList = new ObservableCollection<Data>();

        public ObservableCollection<Data> DataList {
            get { return _dataList; }
            set { _dataList = value; }
        }
        
    }

    public class Data : NotificationObject {

        public Data(string description, string value1, string dataType1, string value2, string dataType2) {
            _description = description;
            _value1 = value1;
            _value2 = value2;
            _dataType1 = dataType1;
            _dataType2 = dataType2;
        }

        private string _description;

        public string Description {
            get { return _description; }
            set { _description = value; }
        }

        private string _value1;

        public string Value1 {
            get { return _value1; }
            set { _value1 = value; }
        }

        private string _dataType1;

        public string DataType1 {
            get { return _dataType1; }
            set { _dataType1 = value; }
        }

        private string _value2;

        public string Value2 {
            get { return _value2; }
            set { _value2 = value; }
        }

        private string _dataType2;

        public string DataType2 {
            get { return _dataType2; }
            set { _dataType2 = value; }
        }

        
    }
}
